Bug 108921 - PIVOT CHARTS: filters that leave no data available
Summary: PIVOT CHARTS: filters that leave no data available
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2017-07-03 09:27 UTC by bureautiquelibre
Modified: 2017-07-12 09:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test case (16.90 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-07-03 09:27 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2017-07-03 09:27:35 UTC
Created attachment 134446 [details]
Test case

Hi,

In example file, filter in order to leave only data for Glasgow and filter out 14th december 2015 (only day with data for Glasgow).

Line-related filter controls and legend disappear (should still be visible).

Clicking outside graph makes graph display very small.


Regards,
Eric Ficheux



Version: 5.4.0.1 (x64)
Build ID: 962a9c4e2f56d1dbdd354b1becda28edd471f4f2
Threads CPU : 4; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
Comment 1 Dennis Francis 2017-07-05 07:00:38 UTC
Can reproduce.

Version: 6.0.0.0.alpha0+
Build ID: 21ef36fc5f71a8d90029000be65988ce5a14e503
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
Comment 2 Commit Notification 2017-07-10 13:39:13 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18909d45977a897cbd921d76d1dde4bf3a466271

tdf#108921 : Enforce a minimum legend size for pivot charts...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-12 09:04:44 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7d3c18da48822b7105b93395aaa4406b87df23f&h=libreoffice-5-4

tdf#108921 : Enforce a minimum legend size for pivot charts...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.